#include "PkgBuilder.hpp"

const std::map<std::filesystem::path, std::filesystem::path> PkgBuilder::cpp_rename = {
    {"bits/c++0x_warning.h", "cxx0x_warning.h"},
    {"bits/exception_defines.h", "_excptdef.h"},
    {"bits/exception_ptr.h", "_excptptr.h"},
    {"bits/hashtable.h", "_hashtbl.h"},
    {"bits/hashtable_policy.h", "_hshtpol.h"},
    {"bits/locale_conv.h", "locale_conv.h2"},
    {"bits/locale_facets.h", "locfacets.h"},
    {"bits/locale_facets.tcc", "locfacets.tcc"},
    {"bits/locale_facets_nonio.h", "locfcnio.h"},
    {"bits/locale_facets_nonio.tcc", "locfacnio.tcc"},
    {"bits/ranges_algobase.h", "ranges_algobase.h2"},
    {"bits/regex_compiler.h", "_regcomp.h"},
    {"bits/regex_constants.h", "_regconst.h"},
    {"bits/shared_ptr_atomic.h", "shared_ptr_atomic.h2"},
    {"bits/shared_ptr_base.h", "shared_ptr_base.h1"},
    {"bits/stl_algo.h", "stlalgo.h"},
    {"bits/stl_algobase.h", "stlalgobase.h"},
    {"bits/stl_iterator_base_funcs.h", "stl_itbf.h"},
    {"bits/stl_iterator_base_types.h", "stl_itbt.h"},
    {"bits/stl_multimap.h", "stl_mmap.h"},
    {"bits/stl_multiset.h", "stl_mset.h"},
    {"bits/unordered_map.h", "_unordmap.h1"},
    {"bits/unordered_set.h", "_unordset.h1"},
    {"bits/valarray_after.h", "varr_after.h"},
    {"bits/valarray_array.h", "varr_array.h"},
    {"bits/valarray_before.h", "varr_before.h"},
    {"condition_variable", "conditio.var"},
    {"debug/safe_unordered_base.h", "safe_unordered_base.h01"},
    {"debug/safe_unordered_container.h", "safe_unordered_container.h02"},
    {"debug/unordered_map", "unordmap"},
    {"debug/unordered_set", "unordset"},
    {"djgpp/bits/c++allocator.h", "cxxallocator.h"},
    {"djgpp/bits/c++config.h", "cxxconfig.h"},
    {"djgpp/bits/c++io.h", "cxxio.h"},
    {"djgpp/bits/c++locale.h", "cxxlocale.h"},
    {"djgpp/bits/extc++.h", "extcxx.h"},
    {"djgpp/bits/stdc++.h", "stdcxx.h"},
    {"djgpp/bits/stdtr1c++.h", "stdtr1cxx.h"},
    {"experimental/forward_list", "forward.list"},
    {"experimental/memory_resource", "memory.res"},
    {"experimental/propagate_const", "propagat.con"},
    {"experimental/string_view", "string.vie"},
    {"experimental/system_error", "system.err"},
    {"experimental/unordered_map", "unordmap"},
    {"experimental/unordered_set", "unordset"},
    {"ext/pb_ds/detail/binomial_heap_base_/binomial_heap_base_.hpp", "_bheapbase.hpp"},
    {"ext/pb_ds/detail/binomial_heap_base_/constructors_destructor_fn_imps.hpp", "_cdfnimps.hpp"},
    {"ext/pb_ds/detail/binomial_heap_base_/debug_fn_imps.hpp", "_dfnimps.hpp"},
    {"ext/pb_ds/detail/cc_hash_table_map_/constructor_destructor_fn_imps.hpp", "_cdfn_imps.hpp"},
    {"ext/pb_ds/detail/cc_hash_table_map_/constructor_destructor_no_store_hash_fn_imps.hpp", "cdnshfn_imps.hpp"},
    {"ext/pb_ds/detail/cc_hash_table_map_/constructor_destructor_store_hash_fn_imps.hpp", "cdsh_fn_imps.hpp"},
    {"ext/pb_ds/detail/gp_hash_table_map_/constructor_destructor_fn_imps.hpp", "cdfn_imps.hpp"},
    {"ext/pb_ds/detail/gp_hash_table_map_/constructor_destructor_no_store_hash_fn_imps.hpp", "cdnsh_fn_imps.hpp"},
    {"ext/pb_ds/detail/gp_hash_table_map_/constructor_destructor_store_hash_fn_imps.hpp", "cdsh_fn_imps.hpp"},
    {"ext/pb_ds/detail/hash_fn/direct_mask_range_hashing_imp.hpp", "dmarhashing_imp.hpp"},
    {"ext/pb_ds/detail/hash_fn/direct_mod_range_hashing_imp.hpp", "dmdrhashing_imp.hpp"},
    {"ext/pb_ds/detail/hash_fn/sample_range_hashing.hpp", "sr_hashing.hpp"},
    {"ext/pb_ds/detail/hash_fn/sample_ranged_hash_fn.hpp", "sr_hash_fn.hpp"},
    {"ext/pb_ds/detail/hash_fn/sample_ranged_probe_fn.hpp", "sr_probe_fn.hpp"},
    {"ext/pb_ds/detail/pat_trie_/pat_trie_.hpp", "pat_trie.h01"},
    {"ext/pb_ds/detail/pat_trie_/pat_trie_base.hpp", "pat_trie.h02"},
    {"ext/pb_ds/detail/resize_policy/hash_load_check_resize_trigger_imp.hpp", "hlcrt_imp.hpp"},
    {"ext/pb_ds/detail/resize_policy/hash_load_check_resize_trigger_size_base.hpp", "hlcrt_size_base.hpp"},
    {"ext/pb_ds/detail/resize_policy/sample_resize_policy.hpp", "sr_policy.hpp"},
    {"ext/pb_ds/detail/resize_policy/sample_resize_trigger.hpp", "sr_trigger.hpp"},
    {"ext/pb_ds/detail/trie_policy/sample_trie_node_update.hpp", "stn_update.hpp"},
    {"ext/vstring_fwd.h", "vstr_fwd.h"},
    {"ext/vstring_util.h", "vstr_util.h"},
    {"forward_list", "forward.lis"},
    {"initializer_list", "initiali.lst"},
    {"parallel/for_each_selectors.h", "foreachselector.h"},
    {"parallel/multiway_mergesort.h", "multiway_mergesort.h2"},
    {"parallel/omp_loop_static.h", "omploopstatic.h"},
    {"pstl/algorithm_fwd.h", "algo_fwd.h"},
    {"pstl/algorithm_impl.h", "algo_impl.h"},
    {"pstl/execution_defs.h", "exec_defs.h"},
    {"pstl/execution_impl.h", "exec_impl.h"},
    {"pstl/glue_algorithm_defs.h", "g_algodef.h"},
    {"pstl/glue_algorithm_impl.h", "g_algoimpl.h"},
    {"pstl/glue_memory_defs.h", "g_memdefs.h"},
    {"pstl/glue_memory_impl.h", "g_memimpl.h"},
    {"pstl/glue_numeric_defs.h", "g_numdefs.h"},
    {"pstl/glue_numeric_impl.h", "g_numimpl.h"},
    {"pstl/numeric_fwd.h", "num_fwd.h"},
    {"pstl/numeric_impl.h", "num_impl.h"},
    {"pstl/parallel_backend.h", "p_backend.h"},
    {"pstl/parallel_backend_serial.h", "p_back_s.h"},
    {"pstl/parallel_backend_tbb.h", "p_back_tbb.h"},
    {"pstl/parallel_backend_utils.h", "p_back_utils.h"},
    {"pstl/parallel_impl.h", "__p_impl.h"},
    {"scoped_allocator", "scoped.all"},
    {"system_error", "system.err"},
    {"tr1/hashtable_policy.h", "hashtable_policy.h1"},
    {"tr1/unordered_map.h", "_unordmap.h1"},
    {"tr1/unordered_map", "unordmap"},
    {"tr1/unordered_set.h", "_unordset.h1"},
    {"tr1/unordered_set", "unordset"},
    {"tr2/dynamic_bitset.tcc", "dynmbset.tcc"},
    {"tr2/dynamic_bitset", "dynamic.bst"},
    {"unordered_map", "unordmap"},
    {"unordered_set", "unordset"}
};
